PDA

View Full Version : Linux Render Node



akota
08-21-2003, 11:05 AM
Hello,

I am fiddling with the Linux Render Node version 7.5c. It works fine under Slackware 9 but I can't get it to run under RedHat 9. I get the following error:

./lwsn: relocation error: /usr/share/lwsn-7.5c/programs/lcore3.so: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference

Can anyone tell me how to fix this?

Thanks,

Jason

Jarno
09-10-2003, 09:52 PM
I know, slightly old message, but in case other people are wondering about an answer...

Before starting one of the runsn scripts, do this:
export LD_ASSUME_KERNEL=2.4.1

(assuming you are using the default bash shell, other shells may use a slightly different syntax).

I don't know exactly what it does, or what its effect is on other things. So I strongly suggest you don't do this as root.

---JvdL---

mtoso
02-16-2004, 10:13 PM
Thanks Jarno,
I registered on the forum to find the answer to this quetion and here it is. I probably wouldn't have been able to figure that out on my own.

diablo-d3
03-12-2004, 02:20 AM
Doing it as root wont do anything much, as it isn't perminent. Infact, it only applies to that instance of your shell. You'll need to do that every time you want to run the software, too.

parsec
04-01-2005, 08:53 PM
Excellent, this appears to be the trick required to get the 8.3 package running as well. These have a runsn2.sh and runsn3.sh shell file for launching... I just added that export command into those.

./lwsn: relocation error: /usr/share/lwsn-8.3/programs/lcore8.so: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference


edit: perhaps a better place for this export would be /usr/share/lwsn-8.3/.lwsnrc, as the shell files source that file.

akota
04-02-2005, 10:39 AM
So where did you get the 8.3 version from???

parsec
04-02-2005, 12:59 PM
Oh.... this must be an error. The package is "lwsn-8.2-773.i386.rpm" (as downloaded from register.newtek.com), but if you do a rpm -q it's identified as lwsn-8.3-773.

So... I likely have the 8.2 package, but it's misidentified in the package:

$ rpm -qi lwsn
Name : lwsn Relocations: (not relocatable)
Version : 8.3 Vendor: (none)
Release : 773 Build Date: Fri 04 Mar 2005 08:20:53 AM EST
Install date: Sat 02 Apr 2005 02:55:48 PM EST Build Host: kaitain
Group : Applications/Multimedia Source RPM: lwsn-8.3-773.src.rpm
Size : 17481242 License: NewTek, Inc.
Signature : (none)
Summary : LightWave Screamernet render controller for Linux
Description :
This package represents the LightWave Screamernet distribution
for the Linux operating system.
Distribution: (none)